> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get inscription activity and metadata for Bitcoin inscriptions within a specific transaction.

# Inscription Activity by Transaction



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /transactions/{tx_hash}/inscriptions/activity
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /transactions/{tx_hash}/inscriptions/activity:
    get:
      tags:
        - Transactions
      summary: Inscription Activity by Transaction
      description: >-
        List of all inscription activity in the transaction, including their
        satoshi-level positioning within transactions, ordered by transaction
        output index. The list of inscriptions is truncated to a maximum of
        10,000 inscriptions.
      operationId: inscription_activity_by_tx
      parameters:
        - name: tx_hash
          in: path
          description: Transaction hash
          required: true
          schema:
            type: string
          example: 06244b1eb209becb440c924c62e0290c210e749d0491ad6cf134c98d23082025
        - name: count
          in: query
          description: The max number of inscriptions per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedInscriptionActivityByTx'
              example:
                data:
                  - from:
                      address: bc1qprdf80adfz7aekh5nejjfrp3jksc8r929svpxk
                      input_index: 0
                      sat_offset: 100409840
                      script_pubkey: 001408da93bfad48bddcdaf49e65248c3195a1838caa
                    inscription_id: >-
                      56f1eebc4cfc437cffc47caa5c08f2d4f5989ed8a8c5dd6cdec77996b0e055fdi0
                    to:
                      address: bc1qprdf80adfz7aekh5nejjfrp3jksc8r929svpxk
                      output_vout: 20
                      sat_offset: 84345292
                      script_pubkey: 001408da93bfad48bddcdaf49e65248c3195a1838caa
                  - from:
                      address: bc1qprdf80adfz7aekh5nejjfrp3jksc8r929svpxk
                      input_index: 0
                      sat_offset: 100639840
                      script_pubkey: 001408da93bfad48bddcdaf49e65248c3195a1838caa
                    inscription_id: >-
                      196378911c21ee6eaac767be609106ad2efce6d36af822d54d9583a2256cb9c2i0
                    to:
                      address: bc1qprdf80adfz7aekh5nejjfrp3jksc8r929svpxk
                      output_vout: 20
                      sat_offset: 84575292
                      script_pubkey: 001408da93bfad48bddcdaf49e65248c3195a1838caa
                last_updated:
                  block_hash: >-
                    00000000000000000000380fb362a3ad3dc257cc28daadfc83fffd0c10eb3b82
                  block_height: 811063
                next_cursor: AAAAAAAAAAI
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedInscriptionActivityByTx:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/InscriptionActivityByTx'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
        next_cursor:
          type: string
          nullable: true
    InscriptionActivityByTx:
      type: object
      required:
        - inscription_id
        - to
      properties:
        from:
          allOf:
            - $ref: '#/components/schemas/FromInscriptionLocation'
          nullable: true
        inscription_id:
          type: string
          description: >-
            String representation of the inscription ID, whose first coordinate
            is the reveal transaction hash, and the second coordinate is the
            index of inscription in the reveal transaction.
        to:
          $ref: '#/components/schemas/ToInscriptionLocation'
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
    FromInscriptionLocation:
      type: object
      required:
        - script_pubkey
        - input_index
        - sat_offset
      properties:
        address:
          type: string
          description: >-
            Address-encoding of the script pubkey at which the input containing
            the inscription resides.
          nullable: true
        input_index:
          type: integer
          format: int32
          description: Index of the input containing the inscription.
          minimum: 0
        sat_offset:
          type: integer
          format: int64
          description: Offset of the inscribed satoshi within the input.
          minimum: 0
        script_pubkey:
          type: string
          description: Script pubkey at which the input containing the inscription resides.
    ToInscriptionLocation:
      type: object
      required:
        - script_pubkey
        - output_vout
        - sat_offset
        - output_txid
      properties:
        address:
          type: string
          description: >-
            Address-encoding of the script pubkey at which the output containing
            the inscription resides.
          nullable: true
        output_txid:
          type: string
          description: >-
            Hash of tx producing the output containing the inscription. If this
            is the hash of the coinbase tx of the block, then the inscription
            was spent as fee in a tx in the block and therefore sent to the
            output of the coinbase tx controlled by the block miner.
        output_vout:
          type: integer
          format: int32
          description: Index of the output containing the inscription.
          minimum: 0
        sat_offset:
          type: integer
          format: int64
          description: Offset of the inscribed satoshi within the output.
          minimum: 0
        script_pubkey:
          type: string
          description: >-
            Script pubkey at which the output containing the inscription
            resides.
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````